Name:           ibm-storage-ceph-license
Version:        8
Release:        2%{?dist}
Summary:        IBM ceph license

License:       IBM
URL:           https://www.ibm.com/products/ceph
Source0:       L-YJFA-EQXH4B.tar.gz

BuildArch: noarch
BuildRequires: bash

%description
there are licenses here

%post -p <lua>
accept_eula = os.getenv("ACCEPT_EULA")
if accept_eula then
  accept_eula = accept_eula:lower():gsub("\n", "")
end


if not (accept_eula == "yes" or accept_eula == "y") then
	os.remove("/usr/share/%{name}/accept")
	license = "L-YJFA-EQXH4B"
	path = "/usr/share/%{name}/" .. license .."/UTF8/"
	print("\nYour licenses have been installed in " .. path)
	locale = io.popen("locale | grep LANG= | cut -d'=' -f2 | cut -d'_' -f1"):read("*all"):gsub("\n", "")
	print("System locale: " .. locale)
	lpath= path .. "LA_" .. locale
	agreement, err = io.open(lpath, 'r')
	if agreement then
	  print(agreement:read("a"))
	else
	  print(err)
	end

	io.write("\nYou can read this license in another language at " .. path)
	io.write("\n\nTo Accept these provisions:")
	print("\nrun `sudo touch " .. "/usr/share/%{name}/accept`")
        print("\nThen proceed with install")
end

%install
mkdir -p  %{buildroot}/usr/share/%{name}/
tar zxf %{SOURCE0} --directory %{buildroot}/usr/share/%{name}/
echo "I agree to be bound by the terms" > %{buildroot}/usr/share/%{name}/accept

%files
/usr/share/%{name}/*

%changelog
* Wed Jan 22 2025 Justin Caratzas <jcaratza@ibm.com> - 8-2
- L-YJFA-EQXH4B 8.0z2 License update

* Thu Nov 07 2024 Justin Caratzas <jcaratza@ibm.com> - 8-1
- L-BWUZ-3ZUSHY.tar.gz 8.0 GA License

* Tue May 21 2024 Justin Caratzas <jcaratza@ibm.com> - 7-2
- L-XSHK-LPQLHG 7.1 GA License

* Thu May 09 2024 Justin Caratzas <jcaratza@ibm.com> - 7-1.1
- L-VTZN-TMJQ58 beta license

* Tue Oct 17 2023 Ken Dreyer <kdreyer@ibm.com> - 7-1
- L-KZFB-UPKYJN license

* Tue Sep 19 2023 Ken Dreyer <kdreyer@ibm.com> - 7-0.1
- L-SUHK-M7Y23H beta license
